PipeWire 1.4.8

Loading...
Searching...
No Matches
factory.h File Reference
Core API » Factory

pipewire/factory.h More...

Go to the source code of this file.

## Data Structures
struct | pw_factory_info
| The factory information. More...
struct | pw_factory_events
| Factory events. More...
struct | pw_factory_methods
| Factory methods. More...

## Macros
#define | PW_TYPE_INTERFACE_Factory PW_TYPE_INFO_INTERFACE_BASE "Factory"
#define | PW_FACTORY_PERM_MASK PW_PERM_R|PW_PERM_M
#define | PW_VERSION_FACTORY 3
#define | PW_API_FACTORY_IMPL static inline
#define | PW_FACTORY_CHANGE_MASK_PROPS (1 << 0)
#define | PW_FACTORY_CHANGE_MASK_ALL ((1 << 1)-1)
#define | PW_FACTORY_EVENT_INFO 0
#define | PW_FACTORY_EVENT_NUM 1
#define | PW_VERSION_FACTORY_EVENTS 0
#define | PW_FACTORY_METHOD_ADD_LISTENER 0
#define | PW_FACTORY_METHOD_NUM 1
#define | PW_VERSION_FACTORY_METHODS 0

## Functions
struct pw_factory_info * | pw_factory_info_update (struct pw_factory_info *info, const struct pw_factory_info *update)
struct pw_factory_info * | pw_factory_info_merge (struct pw_factory_info *info, const struct pw_factory_info *update, bool reset)
void | pw_factory_info_free (struct pw_factory_info *info)
PW_API_FACTORY_IMPL int | pw_factory_add_listener (struct pw_factory *object, struct spa_hook *listener, const struct pw_factory_events *events, void *data)

## Detailed Description

pipewire/factory.h